#!/usr/bin/env bash
# 
# SCRIPT NAME:
# upgrade
#
# AUTHOR:
# Severin Kaderli <severin@kaderli.dev>
#
# DESCRIPTION:
# This script upgrades all pacman packages and globally installed
# npm packages.
#
# USAGE:
# ./upgrade
. utils

print_section "Update arch packages"
yay -Syu --devel --mflags --nocheck

print_section "Update npm packages"
npm update -g

print_section "Update composer packages"
composer global update

print_section "Update Rust components"
rustup update
